Bug 247627 - sysutils/py-salt: sysctl.present broken
Summary: sysutils/py-salt: sysctl.present broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alan Somers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-06-29 05:33 UTC by ari
Modified: 2020-08-20 02:05 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (christer.edwards)
koobs: merge-quarterly?


Attachments
Revert upstream PR that broke sysctl.persist on FreeBSD (12.40 KB, patch)
2020-06-29 21:32 UTC, Alan Somers
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ari 2020-06-29 05:33:48 UTC
https://github.com/saltstack/salt/issues/57826

Not sure the quickest way to hack a fix for this. Maybe adding a dummy param here:

https://github.com/saltstack/salt/blob/master/salt/modules/freebsd_sysctl.py#L138
Comment 1 Alan Somers freebsd_committer 2020-06-29 21:32:00 UTC
Created attachment 216049 [details]
Revert upstream PR that broke sysctl.persist on FreeBSD

Luckily, PR 55719 reverts cleanly, without any merge conflicts.  The attached patch completely reverts it from the port.  I tested it by applying state in my environment.
Comment 2 Kirill Ponomarev freebsd_committer 2020-06-30 05:47:26 UTC
Alan, thank you for submitting it, to be honest I don't see any reason to commit it right now as I'm going to revert this patch in upstream so new bugfix release will contain it pretty soon. What do you think?
Comment 3 Alan Somers freebsd_committer 2020-06-30 13:08:44 UTC
(In reply to Kirill Ponomarev from comment #2)
It's just a matter of timing; if you apply my patch Salt will work today.  If not, then we have to wait on upstream.
Comment 4 ari 2020-07-15 03:48:21 UTC
The bugfix upstream is not tagged for 3001.1 so I think the patch really should be applied.
Comment 5 ari 2020-08-04 02:40:08 UTC
Could we get this merged please. 3002 is where this upstream bug fix will land and that's targeted for November.
Comment 6 commit-hook freebsd_committer 2020-08-08 23:45:06 UTC
A commit references this bug:

Author: asomers
Date: Sat Aug  8 23:44:33 UTC 2020
New revision: 544532
URL: https://svnweb.freebsd.org/changeset/ports/544532

Log:
  sysutils/py-salt: revert upstream PR 55719

  Salt PR 55719 changed the signature of Linux's sysctl.persist function,
  without changing it for any other OS.  Widespread breakage is the result.
  Revert that PR until upstream fixes it.

  PR:		247627
  Reported by:	ari@ish.com.au
  Approved by:	0mp (ports)
  Approved by:	christer.edwards@gmail.com (maintainer timeout)
  MFH:		2020Q3
  Sponsored by:	Axcient

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-09 03:14:05 UTC
^Triage: Assign to committer resolving

Pending MFH
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-09 03:14:32 UTC
Comment on attachment 216049 [details]
Revert upstream PR that broke sysctl.persist on FreeBSD

Approved by: 0mp (ports)
Comment 9 Alan Somers freebsd_committer 2020-08-20 02:05:34 UTC
This was MFHed by r544709, though it wasn't mentioned in the commit message.